{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "MENUITEM.CAPTION.PAGENAVIGATION",
    "mOSFilePath" : "pslanguageres/Auto1975",
    "rTMOSFilePath" : "pslanguageres/Auto1975"
  },
  "caption" : "实体分页导航视图",
  "codeName" : "IBIZOrderTabExpView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderTabExpView.json",
  "mOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderTabExpView",
  "name" : "IBIZOrderTabExpView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Sample.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "TabExpView",
    "mOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderTabExpView/psappviewengines/engine",
    "name" : "engine"
  } ],
  "getPSAppViewMsgGroup" : {
    "modelref" : true,
    "id" : "VMGroup34"
  },
  "getPSAppViewNavContexts" : [ {
    "key" : "IBIZORDER",
    "name" : "IBIZORDER",
    "value" : "c15db639bb5db51c5c60a4d6c2260837",
    "rawValue" : true
  } ],
  "getPSControls" : [ {
    "codeName" : "TabExpViewtabexppanel",
    "controlType" : "TABEXPPANEL",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZORDER/pstabexppanels/TabExpViewtabexppanel",
    "name" : "tabexppanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
    },
    "getPSAppViewRefs" : [ {
      "name" : "EXPITEM:tabviewpanel",
      "realTitle" : "订单编辑视图",
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderUsr3EditView.json",
        "viewType" : "DEEDITVIEW"
      }
    }, {
      "name" : "EXPITEM:tabviewpanel2",
      "realTitle" : "订单明细表格视图",
      "getRealTitlePSLanguageRes" : {
        "lanResTag" : "PAGE.TITLE.IBIZORDERDETAIL.GRIDVIEW",
        "mOSFilePath" : "pslanguageres/Auto1030",
        "rTMOSFilePath" : "pslanguageres/Auto1030"
      },
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderDetailGridView.json",
        "viewType" : "DEGRIDVIEW"
      }
    } ],
    "getPSControlParam" : { },
    "getPSControls" : [ {
      "caption" : "订单编辑视图",
      "codeName" : "TabExpViewtabviewpanel",
      "controlType" : "TABVIEWPANEL",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZORDER/psviewpanels/TabExpViewtabviewpanel",
      "name" : "tabviewpanel",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
      },
      "getPSControlParam" : {
        "id" : "TABVIEWPANEL"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderTabExpView/psappviewctrls/tabviewpanel",
      "modelid" : "f102adb54492a593c95a66e09402da81_tabviewpanel",
      "modeltype" : "PSVIEWPANEL",
      "getEmbeddedPSAppDEView" : {
        "accUserMode" : 2,
        "getCapPSLanguageRes" : {
          "lanResTag" : "DE.LNAME.IBIZORDER",
          "mOSFilePath" : "pslanguageres/Auto1479",
          "rTMOSFilePath" : "pslanguageres/Auto1479"
        },
        "caption" : "订单",
        "codeName" : "IBIZOrderUsr3EditView",
        "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderUsr3EditView.json",
        "mOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderUsr3EditView",
        "name" : "IBIZOrderUsr3EditView",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        },
        "getPSAppModule" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPMODULES/Sample.json"
        },
        "getPSAppViewEngines" : [ {
          "engineCat" : "VIEW",
          "engineType" : "EditView",
          "mOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderUsr3EditView/psappviewengines/engine",
          "name" : "engine",
          "getPSUIEngineParams" : [ {
            "ctrlName" : "form",
            "name" : "FORM",
            "paramType" : "CTRL"
          }, {
            "name" : "P2K",
            "paramType" : "VALUE",
            "value" : 0
          } ]
        } ],
        "getPSAppViewRefs" : [ {
          "name" : "WFSTART@1",
          "realOpenMode" : "POPUPMODAL",
          "realTitle" : "订单工作流启动视图",
          "getRealTitlePSLanguageRes" : {
            "lanResTag" : "PAGE.TITLE.IBIZORDER.WFSTARTVIEW",
            "mOSFilePath" : "pslanguageres/Auto1101",
            "rTMOSFilePath" : "pslanguageres/Auto1101"
          },
          "getRefPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderWFStartView.json",
            "viewType" : "DEWFSTARTVIEW"
          }
        } ],
        "getPSControls" : [ {
          "codeName" : "Usr3EditViewtoolbar",
          "controlType" : "TOOLBAR",
          "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZORDER/psdetoolbars/Usr3EditViewtoolbar",
          "name" : "toolbar",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
          },
          "getPSControlParam" : {
            "id" : "TOOLBAR"
          },
          "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderUsr3EditView/psappviewctrls/toolbar",
          "modelid" : "8006b416668edc8c6ec086b5defef05c_toolbar",
          "modeltype" : "PSDETOOLBAR"
        }, {
          "codeName" : "SForm",
          "controlType" : "FORM",
          "getCreatePSControlAction" : {
            "modelref" : true,
            "id" : "create"
          },
          "defaultLabelWidth" : 130,
          "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder/PSFORMS/SForm.json",
          "getGetDraftFromPSControlAction" : {
            "modelref" : true,
            "id" : "loaddraftfrom"
          },
          "getGetDraftPSControlAction" : {
            "modelref" : true,
            "id" : "loaddraft"
          },
          "getGetPSControlAction" : {
            "modelref" : true,
            "id" : "load"
          },
          "hookEventNames" : [ "LOAD", "SAVE", "REMOVE" ],
          "logicName" : "标准表单",
          "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZORDER/psdeform_editforms/SForm",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
          },
          "getPSControlHandler" : {
            "getPSHandlerActions" : [ {
              "actionName" : "GetDraft",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "loaddraft",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "GetDraft"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
              }
            }, {
              "actionName" : "GETDRAFTFROM",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "loaddraftfrom",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
              }
            }, {
              "actionName" : "Get",
              "actionType" : "DEACTION",
              "dataAccessAction" : "READ",
              "name" : "load",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Get"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
              }
            }, {
              "actionName" : "Create",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "create",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Create"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
              }
            }, {
              "actionName" : "Update",
              "actionType" : "DEACTION",
              "dataAccessAction" : "UPDATE",
              "name" : "update",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Update"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
              }
            }, {
              "actionName" : "Remove",
              "actionType" : "DEACTION",
              "dataAccessAction" : "DELETE",
              "name" : "remove",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Remove"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
              }
            }, {
              "actionName" : "WFSTART",
              "actionType" : "WFACTION",
              "name" : "WFSTART",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
              }
            }, {
              "actionName" : "WFSUBMIT",
              "actionType" : "WFACTION",
              "name" : "WFSUBMIT",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
              }
            } ],
            "enableDEFieldPrivilege" : false,
            "id" : "编辑表单处理器"
          },
          "getPSControlLogics" : [ {
            "eventNames" : "LOAD;SAVE;REMOVE",
            "logicTag" : "form",
            "logicType" : "APPVIEWENGINE",
            "name" : "engine_form",
            "getPSAppViewEngine" : {
              "modelref" : true,
              "id" : "engine"
            }
          } ],
          "getPSControlParam" : {
            "autoLoad" : true,
            "showBusyIndicator" : true,
            "id" : "FORM"
          },
          "getPSDEFormItems" : [ {
            "id" : "srfupdatedate",
            "hidden" : true,
            "dataType" : 5,
            "getPSAppDEField" : {
              "name" : "UPDATEDATE",
              "codeName" : "UpdateDate"
            }
          }, {
            "id" : "srforikey",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "srfkey",
            "hidden" : true,
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "IBIZORDERID",
              "codeName" : "IBIZOrderId"
            }
          }, {
            "id" : "srfmajortext",
            "hidden" : true,
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "IBIZORDERNAME",
              "codeName" : "IBIZOrderName"
            }
          }, {
            "id" : "srftempmode",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "srfuf",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "srfdeid",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "srfsourcekey",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "srfip_amount",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "orderuid",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "ORDERUID",
              "codeName" : "OrderUID"
            }
          }, {
            "id" : "ibizordername",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "IBIZORDERNAME",
              "codeName" : "IBIZOrderName"
            }
          }, {
            "id" : "ordertime",
            "dataType" : 5,
            "createDVT" : "CURTIME",
            "getPSAppDEField" : {
              "name" : "ORDERTIME",
              "codeName" : "OrderTime"
            }
          }, {
            "id" : "ibizcustomername",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "IBIZCUSTOMERNAME",
              "codeName" : "IBIZCustomerName"
            }
          }, {
            "id" : "ordertype",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "ORDERTYPE",
              "codeName" : "OrderType"
            }
          }, {
            "id" : "amount",
            "dataType" : 7,
            "getPSAppDEField" : {
              "name" : "AMOUNT",
              "codeName" : "Amount"
            }
          }, {
            "id" : "detailnum",
            "dataType" : 9,
            "getPSAppDEField" : {
              "name" : "DETAILNUM",
              "codeName" : "DetailNum"
            }
          }, {
            "id" : "orderstate",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "ORDERSTATE",
              "codeName" : "OrderState"
            }
          }, {
            "id" : "ibizorderid",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "IBIZORDERID",
              "codeName" : "IBIZOrderId"
            }
          }, {
            "id" : "memo",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "MEMO",
              "codeName" : "Memo"
            }
          }, {
            "id" : "ibizcustomerid",
            "hidden" : true,
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "IBIZCUSTOMERID",
              "codeName" : "IBIZCustomerId"
            }
          } ],
          "getPSDEFormPages" : [ {
            "getCapPSLanguageRes" : {
              "lanResTag" : "CONTROL.DEFORM.IBIZORDER.MAIN.FORMPAGE.FORMPAGE1",
              "mOSFilePath" : "pslanguageres/Auto890",
              "rTMOSFilePath" : "pslanguageres/Auto890"
            },
            "caption" : "基本信息",
            "codeName" : "formpage1",
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMPAGE",
            "mOSFilePath" : "psdeformdetail_formpages/formpage1",
            "name" : "formpage1",
            "getPSDEFormDetails" : [ {
              "actionGroupExtractMode" : "ITEM",
              "getCapPSLanguageRes" : {
                "lanResTag" : "CONTROL.DEFORM.IBIZORDER.MAIN.GROUPPANEL.GROUP1",
                "mOSFilePath" : "pslanguageres/Auto750",
                "rTMOSFilePath" : "pslanguageres/Auto750"
              },
              "caption" : "订单基本信息",
              "codeName" : "group1",
              "detailStyle" : "DEFAULT",
              "detailType" : "GROUPPANEL",
              "mOSFilePath" : "psdeformdetail_grouppanels/group1",
              "name" : "group1",
              "getPSDEFormDetails" : [ {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "DEF.LNAME.ORDERUID",
                  "mOSFilePath" : "pslanguageres/Auto526",
                  "rTMOSFilePath" : "pslanguageres/Auto526"
                },
                "caption" : "订单编号",
                "codeName" : "orderuid",
                "dataType" : 25,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 0,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "mOSFilePath" : "psdeformdetail_formitems/orderuid",
                "name" : "orderuid",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "ORDERUID",
                  "codeName" : "OrderUID"
                },
                "getPSEditor" : {
                  "editorType" : "TEXTBOX",
                  "maxLength" : 100,
                  "name" : "orderuid"
                },
                "getPSLayoutPos" : {
                  "colLG" : 12,
                  "colMD" : 6,
                  "colSM" : 6,
                  "colXS" : 6,
                  "layout" : "TABLE_24COL"
                },
                "rTMOSFilePath" : "psdeformdetail_formitems/orderuid",
                "allowEmpty" : false,
                "showCaption" : true
              }, {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "DEF.LNAME.IBIZORDERNAME",
                  "mOSFilePath" : "pslanguageres/Auto751",
                  "rTMOSFilePath" : "pslanguageres/Auto751"
                },
                "caption" : "订单名称",
                "codeName" : "ibizordername",
                "dataType" : 25,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 0,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "mOSFilePath" : "psdeformdetail_formitems/ibizordername",
                "name" : "ibizordername",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "IBIZORDERNAME",
                  "codeName" : "IBIZOrderName"
                },
                "getPSEditor" : {
                  "editorType" : "TEXTBOX",
                  "maxLength" : 200,
                  "name" : "ibizordername"
                },
                "getPSLayoutPos" : {
                  "colLG" : 12,
                  "colMD" : 6,
                  "colSM" : 6,
                  "colXS" : 6,
                  "layout" : "TABLE_24COL"
                },
                "rTMOSFilePath" : "psdeformdetail_formitems/ibizordername",
                "allowEmpty" : false,
                "showCaption" : true
              }, {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "DEF.LNAME.ORDERTIME",
                  "mOSFilePath" : "pslanguageres/Auto691",
                  "rTMOSFilePath" : "pslanguageres/Auto691"
                },
                "caption" : "订单时间",
                "codeName" : "ordertime",
                "createDVT" : "CURTIME",
                "dataType" : 5,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 0,
                "itemWidth" : 230.0,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "mOSFilePath" : "psdeformdetail_formitems/ordertime",
                "name" : "ordertime",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "ORDERTIME",
                  "codeName" : "OrderTime"
                },
                "getPSEditor" : {
                  "dateTimeFormat" : "YYYY-MM-DD",
                  "editorParams" : {
                    "TIMEFMT" : "YYYY-MM-DD"
                  },
                  "editorType" : "DATEPICKEREX_NOTIME",
                  "editorWidth" : 100.0,
                  "name" : "ordertime"
                },
                "getPSLayoutPos" : {
                  "colLG" : 12,
                  "colMD" : 6,
                  "colSM" : 6,
                  "colXS" : 6,
                  "layout" : "TABLE_24COL"
                },
                "rTMOSFilePath" : "psdeformdetail_formitems/ordertime",
                "valueFormat" : "YYYY-MM-DD",
                "allowEmpty" : true,
                "showCaption" : true
              }, {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "DEF.LNAME.IBIZORDER.IBIZCUSTOMERNAME",
                  "mOSFilePath" : "pslanguageres/Auto1063",
                  "rTMOSFilePath" : "pslanguageres/Auto1063"
                },
                "caption" : "客户名称",
                "codeName" : "ibizcustomername",
                "dataType" : 25,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 0,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "mOSFilePath" : "psdeformdetail_formitems/ibizcustomername",
                "name" : "ibizcustomername",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "IBIZCUSTOMERNAME",
                  "codeName" : "IBIZCustomerName"
                },
                "getPSEditor" : {
                  "editorParams" : {
                    "AC" : "TRUE",
                    "PICKUPVIEW" : "TRUE"
                  },
                  "editorType" : "PICKER",
                  "handlerType" : "PickupText",
                  "name" : "ibizcustomername",
                  "getPSAppDEACMode" : {
                    "modelref" : true,
                    "id" : "Default"
                  },
                  "getPSAppDEDataSet" : {
                    "modelref" : true,
                    "id" : "FetchDefault"
                  },
                  "getPSAppDataEntity" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer.json"
                  },
                  "getPickupPSAppView" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZCustomerPickupView.json",
                    "viewType" : "DEPICKUPVIEW"
                  },
                  "valueItemName" : "ibizcustomerid",
                  "enableAC" : true,
                  "enablePickupView" : true,
                  "forceSelection" : true,
                  "showTrigger" : true,
                  "singleSelect" : true
                },
                "getPSLayoutPos" : {
                  "colLG" : 12,
                  "colMD" : 6,
                  "colSM" : 6,
                  "colXS" : 6,
                  "layout" : "TABLE_24COL"
                },
                "rTMOSFilePath" : "psdeformdetail_formitems/ibizcustomername",
                "valueItemName" : "ibizcustomerid",
                "allowEmpty" : true,
                "showCaption" : true
              }, {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "DEF.LNAME.ORDERTYPE",
                  "mOSFilePath" : "pslanguageres/Auto647",
                  "rTMOSFilePath" : "pslanguageres/Auto647"
                },
                "caption" : "订单类型",
                "codeName" : "ordertype",
                "dataType" : 25,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 0,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "mOSFilePath" : "psdeformdetail_formitems/ordertype",
                "name" : "ordertype",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "ORDERTYPE",
                  "codeName" : "OrderType"
                },
                "getPSEditor" : {
                  "editorType" : "DROPDOWNLIST",
                  "name" : "ordertype",
                  "getPSAppCodeList" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/DYNAORDERTYPE.json"
                  },
                  "singleSelect" : true
                },
                "getPSLayoutPos" : {
                  "colLG" : 12,
                  "colMD" : 6,
                  "colSM" : 6,
                  "colXS" : 6,
                  "layout" : "TABLE_24COL"
                },
                "rTMOSFilePath" : "psdeformdetail_formitems/ordertype",
                "allowEmpty" : true,
                "needCodeListConfig" : true,
                "showCaption" : true
              }, {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "DEF.LNAME.IBIZORDER.AMOUNT",
                  "mOSFilePath" : "pslanguageres/Auto1741",
                  "rTMOSFilePath" : "pslanguageres/Auto1741"
                },
                "caption" : "总计",
                "codeName" : "amount",
                "dataType" : 7,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 0,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "mOSFilePath" : "psdeformdetail_formitems/amount",
                "name" : "amount",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "AMOUNT",
                  "codeName" : "Amount"
                },
                "getPSEditor" : {
                  "editorType" : "TEXTBOX",
                  "name" : "amount",
                  "precision" : 2
                },
                "getPSLayoutPos" : {
                  "colLG" : 12,
                  "colMD" : 6,
                  "colSM" : 6,
                  "colXS" : 6,
                  "layout" : "TABLE_24COL"
                },
                "rTMOSFilePath" : "psdeformdetail_formitems/amount",
                "unitName" : "元",
                "allowEmpty" : true,
                "enableItemPriv" : true,
                "enableUnitName" : true,
                "showCaption" : true
              }, {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "DEF.LNAME.DETAILNUM",
                  "mOSFilePath" : "pslanguageres/Auto1317",
                  "rTMOSFilePath" : "pslanguageres/Auto1317"
                },
                "caption" : "明细数",
                "codeName" : "detailnum",
                "dataType" : 9,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 0,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "mOSFilePath" : "psdeformdetail_formitems/detailnum",
                "name" : "detailnum",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "DETAILNUM",
                  "codeName" : "DetailNum"
                },
                "getPSEditor" : {
                  "editorType" : "SPAN",
                  "name" : "detailnum",
                  "enableLinkView" : false
                },
                "getPSLayoutPos" : {
                  "colLG" : 12,
                  "colMD" : 6,
                  "colSM" : 6,
                  "colXS" : 6,
                  "layout" : "TABLE_24COL"
                },
                "rTMOSFilePath" : "psdeformdetail_formitems/detailnum",
                "allowEmpty" : true,
                "showCaption" : true
              }, {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "DEF.LNAME.ORDERSTATE",
                  "mOSFilePath" : "pslanguageres/Auto1017",
                  "rTMOSFilePath" : "pslanguageres/Auto1017"
                },
                "caption" : "订单状态",
                "codeName" : "orderstate",
                "dataType" : 25,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 0,
                "ignoreInput" : 0,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "mOSFilePath" : "psdeformdetail_formitems/orderstate",
                "name" : "orderstate",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "ORDERSTATE",
                  "codeName" : "OrderState"
                },
                "getPSEditor" : {
                  "editorType" : "DROPDOWNLIST",
                  "name" : "orderstate",
                  "getPSAppCodeList" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/ORDERSTATE.json"
                  },
                  "singleSelect" : true
                },
                "getPSLayoutPos" : {
                  "colLG" : 12,
                  "colMD" : 6,
                  "colSM" : 6,
                  "colXS" : 6,
                  "layout" : "TABLE_24COL"
                },
                "rTMOSFilePath" : "psdeformdetail_formitems/orderstate",
                "allowEmpty" : true,
                "needCodeListConfig" : true,
                "showCaption" : true
              }, {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "DEF.LNAME.IBIZORDERID",
                  "mOSFilePath" : "pslanguageres/Auto1004",
                  "rTMOSFilePath" : "pslanguageres/Auto1004"
                },
                "caption" : "订单标识",
                "codeName" : "ibizorderid",
                "dataType" : 25,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 0,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "mOSFilePath" : "psdeformdetail_formitems/ibizorderid",
                "name" : "ibizorderid",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "IBIZORDERID",
                  "codeName" : "IBIZOrderId"
                },
                "getPSEditor" : {
                  "editorType" : "SPAN",
                  "name" : "ibizorderid",
                  "enableLinkView" : false
                },
                "getPSLayoutPos" : {
                  "colLG" : 12,
                  "colMD" : 6,
                  "colSM" : 6,
                  "colXS" : 6,
                  "layout" : "TABLE_24COL"
                },
                "rTMOSFilePath" : "psdeformdetail_formitems/ibizorderid",
                "allowEmpty" : true,
                "showCaption" : true
              }, {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "DEF.LNAME.MEMO",
                  "mOSFilePath" : "pslanguageres/Auto269",
                  "rTMOSFilePath" : "pslanguageres/Auto269"
                },
                "caption" : "备注",
                "codeName" : "memo",
                "dataType" : 25,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 0,
                "itemHeight" : 200.0,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "mOSFilePath" : "psdeformdetail_formitems/memo",
                "name" : "memo",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "MEMO",
                  "codeName" : "Memo"
                },
                "getPSEditor" : {
                  "editorHeight" : 200.0,
                  "editorParams" : {
                    "HEIGHT" : "200"
                  },
                  "editorType" : "TEXTAREA_10",
                  "maxLength" : 2000,
                  "name" : "memo",
                  "showMaxLength" : true
                },
                "getPSLayoutPos" : {
                  "colLG" : 24,
                  "colMD" : 6,
                  "colSM" : 6,
                  "colXS" : 6,
                  "layout" : "TABLE_24COL"
                },
                "rTMOSFilePath" : "psdeformdetail_formitems/memo",
                "allowEmpty" : true,
                "showCaption" : true
              } ],
              "getPSLayout" : {
                "childColLG" : -1,
                "childColMD" : 6,
                "childColSM" : 6,
                "childColXS" : 6,
                "columnCount" : 24,
                "layout" : "TABLE_24COL"
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "rTMOSFilePath" : "psdeformdetail_grouppanels/group1",
              "infoGroupMode" : false,
              "showCaption" : true
            } ],
            "getPSLayout" : {
              "childColLG" : -1,
              "childColMD" : 24,
              "childColSM" : -1,
              "childColXS" : -1,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "rTMOSFilePath" : "psdeformdetail_formpages/formpage1",
            "infoGroupMode" : false
          } ],
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderUsr3EditView/psappviewctrls/form",
          "getRemovePSControlAction" : {
            "modelref" : true,
            "id" : "remove"
          },
          "tabHeaderPos" : "TOP",
          "getUpdatePSControlAction" : {
            "modelref" : true,
            "id" : "update"
          },
          "getWFStartPSControlAction" : {
            "modelref" : true,
            "id" : "WFSTART"
          },
          "getWFSubmitPSControlAction" : {
            "modelref" : true,
            "id" : "WFSUBMIT"
          },
          "noTabHeader" : true,
          "name" : "form",
          "modelid" : "d028caa79e01a7fbc4499004a965975c",
          "modeltype" : "PSDEFORM_EDITFORM"
        } ],
        "getPSDEViewCodeName" : "Usr3EditView",
        "getPSDEViewId" : "31b67e80df2b2bf79f4b128ae492e9b4",
        "getPSViewLayoutPanel" : {
          "codeName" : "Layoutpanel",
          "controlStyle" : "APPDEEDITVIEW",
          "controlType" : "VIEWLAYOUTPANEL",
          "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZORDER/pssysviewlayoutpanels/Layoutpanel",
          "name" : "layoutpanel",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
          },
          "getPSControlParam" : { },
          "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderUsr3EditView/psappviewctrls/layoutpanel",
          "layoutBodyOnly" : true,
          "layoutPanel" : true,
          "useDefaultLayout" : true
        },
        "getPSWFVersion" : {
          "modelref" : true,
          "path" : "PSWORKFLOWS/ODSP/PSWFVERSIONS/ODSPv1.json"
        },
        "getPSWorkflow" : {
          "modelref" : true,
          "path" : "PSWORKFLOWS/ODSP.json"
        },
        "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderUsr3EditView",
        "title" : "订单编辑视图",
        "viewStyle" : "DEFAULT",
        "viewType" : "DEEDITVIEW",
        "xDataControlName" : "form",
        "enableDP" : true,
        "showDataInfoBar" : true,
        "modelid" : "8006b416668edc8c6ec086b5defef05c",
        "modeltype" : "PSAPPDEVIEW"
      }
    }, {
      "caption" : "订单明细表格视图",
      "codeName" : "TabExpViewtabviewpanel2",
      "controlType" : "TABVIEWPANEL",
      "getEmbeddedPSAppDEView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderDetailGridView.json",
        "viewType" : "DEGRIDVIEW"
      },
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZORDER/psviewpanels/TabExpViewtabviewpanel2",
      "name" : "tabviewpanel2",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
      },
      "getPSControlParam" : {
        "ctrlParams" : {
          "SRFNAVCTX.CONTEXTPARAM1" : "%orderstate%",
          "SRFNAVPARAM.N_ORDERSTATE_EQ" : "%orderstate%"
        },
        "id" : "TABVIEWPANEL2"
      },
      "getPSNavigateContexts" : [ {
        "key" : "CONTEXTPARAM1",
        "name" : "CONTEXTPARAM1",
        "value" : "orderstate",
        "rawValue" : false
      } ],
      "getPSNavigateParams" : [ {
        "key" : "n_orderstate_eq",
        "name" : "n_orderstate_eq",
        "value" : "orderstate",
        "rawValue" : false
      } ],
      "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderTabExpView/psappviewctrls/tabviewpanel2",
      "modelid" : "f102adb54492a593c95a66e09402da81_tabviewpanel2",
      "modeltype" : "PSVIEWPANEL"
    } ],
    "getPSTabExpPages" : [ {
      "name" : "tabviewpanel"
    }, {
      "name" : "tabviewpanel2"
    } ],
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderTabExpView/psappviewctrls/tabexppanel",
    "tabLayout" : "TOP",
    "modelid" : "f102adb54492a593c95a66e09402da81_tabexppanel",
    "modeltype" : "PSTABEXPPANEL"
  } ],
  "getPSDEViewCodeName" : "TabExpView",
  "getPSDEViewId" : "71da2c79f2b01604e0d03b6867de35e7",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDETABEXPVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZORDER/pssysviewlayoutpanels/Layoutpanel",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
    },
    "getPSControlParam" : { },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderTabExpView/psappviewctrls/layoutpanel",
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "getPSWFVersion" : {
    "modelref" : true,
    "path" : "PSWORKFLOWS/ODSP/PSWFVERSIONS/ODSPv1.json"
  },
  "getPSWorkflow" : {
    "modelref" : true,
    "path" : "PSWORKFLOWS/ODSP.json"
  },
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderTabExpView",
  "tabLayout" : "TOP",
  "title" : "实体分页导航视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DETABEXPVIEW",
  "enableDP" : true,
  "enableQuickSearch" : false,
  "enableSearch" : false,
  "expandSearchForm" : false,
  "loadDefault" : true,
  "showCaptionBar" : false,
  "showDataInfoBar" : true,
  "modelid" : "f102adb54492a593c95a66e09402da81",
  "modeltype" : "PSAPPDEVIEW"
}